function numberOnly (){
	if ((((event.keyCode) < 48 && (event.keyCode != 44)) || (event.keyCode > 57)) && (event.keyCode != 13)){
		event.returnValue = false;
	}
}

function open_window(url,name,width,height,options){
	window.open(url,name,'width='+width+' height='+height+' '+options)
}

function checkDate(date){
	if(date.length != 10){
		return true;
	}
	days = date.slice(0,2)
	months = date.slice(3,5)
	year = date.slice(6,10)
	if(days > 31){
		return true;
	}
	if((months == '02' || months == '04' || months == '06' || months == '09' || months == '11') && days > 30){
		return true;
	}
	if(months == '02' && !(year % 4) && days > 29){
		return true;
	}
	if(months == '02' && (year % 4) && days > 28){
		return true;
	}
	return false;
}

function submitOrder(orderForm){
	orderForm = eval(orderForm);
	orderForm.submit();
}

function checkLogin(){
	regExpNotNull = /\S+/;
	regExpPassword = /\S{6,}/;
	regExpPhone = /\d{9}/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(registrace.obchodni_jmeno.value)){
		alert("Zadejte prosím obchodní jméno");
		registrace.obchodni_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.uzivatelske_jmeno.value)){
		alert("Zadejte prosím uživatelské jméno");
		registrace.uzivatelske_jmeno.focus();
		return false;
	}
	if(!regExpPassword.test(registrace.heslo.value)){
		alert("Zadejte prosím heslo ve správné délce");
		registrace.heslo.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		registrace.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.ulice.value)){
		alert("Zadejte prosím ulici");
		registrace.ulice.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.obec.value)){
		alert("Zadejte prosím obec");
		registrace.obec.focus();
		return false;
	}
	if(!regExpPhone.test(registrace.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		registrace.telefon.focus();
		return false;
	}
	if(!regExpMail.test(registrace.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		registrace.mail.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.ico.value)){
		alert("Zadejte prosím IČO");
		registrace.ico.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.dic.value)){
		alert("Zadejte prosím DIČ");
		registrace.dic.focus();
		return false;
	}
	if(registrace.heslo.value != registrace.heslo_potvrzeni.value){
		alert("Zadaná hesla se neshodují");
		registrace.heslo.value = "";
		registrace.heslo_potvrzeni.value = "";
		registrace.heslo.focus();
		return false;
	}
}

function checkDreamLogin(){
	regExpNotNull = /\S+/;
	regExpPassword = /\S{6,}/;
	regExpPhone = /\d{9}/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(registrace.uzivatelske_jmeno.value)){
		alert("Zadejte prosím uživatelské jméno");
		registrace.uzivatelske_jmeno.focus();
		return false;
	}
	if(!regExpPassword.test(registrace.heslo.value)){
		alert("Zadejte prosím heslo ve správné délce");
		registrace.heslo.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		registrace.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.ulice.value)){
		alert("Zadejte prosím ulici");
		registrace.ulice.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.obec.value)){
		alert("Zadejte prosím obec");
		registrace.obec.focus();
		return false;
	}
	if(!regExpPhone.test(registrace.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		registrace.telefon.focus();
		return false;
	}
	if(!regExpMail.test(registrace.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		registrace.mail.focus();
		return false;
	}
	if(registrace.heslo.value != registrace.heslo_potvrzeni.value){
		alert("Zadaná hesla se neshodují");
		registrace.heslo.value = "";
		registrace.heslo_potvrzeni.value = "";
		registrace.heslo.focus();
		return false;
	}
}
function checkAdress(){
	regExpNotNull = /\S+/;
	regExpPhone = /\d{9}/;
	if(!regExpNotNull.test(registrace.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		registrace.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.ulice.value)){
		alert("Zadejte prosím ulici");
		registrace.ulice.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.obec.value)){
		alert("Zadejte prosím obec");
		registrace.obec.focus();
		return false;
	}
	if(!regExpPhone.test(registrace.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		registrace.telefon.focus();
		return false;
	}
}

function checkChangeLogin(){
	regExpNotNull = /\S+/;
	regExpPhone = /\d{9}/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(registrace.obchodni_jmeno.value)){
		alert("Zadejte prosím obchodní jméno");
		registrace.obchodni_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.uzivatelske_jmeno.value)){
		alert("Zadejte prosím uživatelské jméno");
		registrace.uzivatelske_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		registrace.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.ulice.value)){
		alert("Zadejte prosím ulici");
		registrace.ulice.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.obec.value)){
		alert("Zadejte prosím obec");
		registrace.obec.focus();
		return false;
	}
	if(!regExpPhone.test(registrace.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		registrace.telefon.focus();
		return false;
	}
	if(!regExpMail.test(registrace.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		registrace.mail.focus();
		return false;
	}
	if(!regExpNotNull.test(registrace.ico.value)){
		alert("Zadejte prosím IČO");
		registrace.ico.focus();
		return false;
	}
}

function checkCatalogSend(){
	regExpNotNull = /\S+/;
	regExpPhone = /\d{9}/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(katalog.obchodni_jmeno.value)){
		alert("Zadejte prosím společnost");
		katalog.obchodni_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(katalog.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		katalog.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpPhone.test(katalog.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		katalog.telefon.focus();
		return false;
	}
	if(!regExpMail.test(katalog.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		katalog.mail.focus();
		return false;
	}
}

function checkContactForm(){
	regExpNotNull = /\S+/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(kontakt.obchodni_jmeno.value)){
		alert("Zadejte prosím společnost");
		kontakt.obchodni_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(kontakt.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		kontakt.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpMail.test(kontakt.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		kontakt.mail.focus();
		return false;
	}
	if(!regExpNotNull.test(kontakt.text.value)){
		alert("Zadejte prosím text");
		kontakt.text.focus();
		return false;
	}
}

function submitSearch(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(search.searchText.value)){
		alert("Zadejte hledaný text");
		search.searchText.focus();
		return;
	}
	search.submit();
}

function submitAdvancedSearch(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(advanced_search.searchText.value)){
		alert("Zadejte hledaný text");
		advanced_search.searchText.focus();
		return;
	}
	advanced_search.submit();
}

function checkPasswordChange(){
	regExpPassword = /\S{6,}/;
	if(!regExpPassword.test(registrace.heslo.value)){
		alert("Zadejte prosím nové heslo ve správné délce");
		registrace.heslo.focus();
		return false;
	}
	if(registrace.heslo.value != registrace.heslo_potvrzeni.value){
		alert("Zadaná hesla se neshodují");
		registrace.heslo.value = "";
		registrace.heslo_potvrzeni.value = "";
		registrace.heslo.focus();
		return false;
	}
}

function goToCashier(loged,queryString){
	if(!loged){
		alert("Pro vstup do pokladny musíte být přihlášeni!");
	}
	else if(queryString == 'false'){
		cart.action = "../cashier/";
		cart.submit();
	}
	else{
		cart.action = "../cashier/"+queryString;
		cart.submit();
	}
}

function goToCashierDirectly(loged,queryString){
	if(!loged){
		alert("Pro vstup do pokladny musíte být přihlášeni!");
	}
	else if(queryString == 'false'){
		window.location = "../cashier/";
	}
	else{
		window.location = "../cashier/"+queryString;
	}
}

function submitCashier(){
	regExpNotNull = /\S+/;
	regExpPhone = /\d{9}/;
	if(!regExpNotNull.test(cashier.dodaci_kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		cashier.dodaci_kontaktni_osoba.focus();
		return;
	}
	if(!regExpNotNull.test(cashier.dodaci_ulice.value)){
		alert("Zadejte prosím ulici");
		cashier.dodaci_ulice.focus();
		return;
	}
	if(!regExpNotNull.test(cashier.dodaci_obec.value)){
		alert("Zadejte prosím obec");
		cashier.dodaci_obec.focus();
		return;
	}
	if(!regExpPhone.test(cashier.dodaci_telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		cashier.dodaci_telefon.focus();
		return;
	}
	cashier.submit();
}

function nextItem(){
	f.action = '?action=next_item';
	f.submit();
}

function deleteItem(item){
	f.action = '?action=delete_item' + '&id=' + item;
	f.submit();
}

function checkReclamationForm(){
	regExpNotNull = /\S+/;
	regExpPhone = /\d{9}/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(f.obchodni_jmeno.value)){
		alert("Zadejte prosím společnost");
		f.obchodni_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(f.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		f.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpPhone.test(f.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		f.telefon.focus();
		return false;
	}
	if(!regExpMail.test(f.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		f.mail.focus();
		return false;
	}
	if(!regExpNotNull.test(f.popis.value)){
		alert("Zadejte prosím popis závady");
		f.popis.focus();
		return false;
	}
}

function checkItemsChange(queryString,itemsSelector){
	if(itemsPerPage != eval('items_' + itemsSelector +'.items_per_page.value')){
		window.location = '?' + queryString + '&items_per_page=' + eval('items_' + itemsSelector +'.items_per_page.value');
	}
}

function checkVyletniciForm(){
	if(f.chci_registrovat.checked != true){
		alert('Pole Chci se zůčastnit hry "VÝLETNÍCI" musí byt zatrženo');
		f.chci_registrovat.focus();
		return false;
	}
}

function checkPasswordSend(){
	if(zaslaniHesla.mail.value == ''){
		alert('Zadejte prosím e-mail.');
		return false;
	}
	else{
		return true;
	}
}

function confirmFavouriteGood(queryString, good){
	if(!confirm('Chcete přidat toto zboží do Vašich oblíbených položek?')){
		return false;
	}
}

function confirmDeleteFavourite(queryString, good){
	if(!confirm('Chcete odstranit toto zboží z Vašich oblíbených položek?')){
		return false;
	}
}

function checkJobsForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.jmeno.value)){
		alert("Zadejte prosím jméno");
		f.jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(f.telefon.value)){
		alert("Zadejte prosím telefon");
		f.telefon.focus();
		return false;
	}
	if(!regExpNotNull.test(f.zivotopis.value)){
		alert("Vložte prosím životopis");
		f.zivotopis.focus();
		return false;
	}
	return true;
}